package com.mortals.xhx.module.doc.template.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.doc.template.model.vo.DocTemplateVo;
import com.mortals.xhx.module.doc.form.model.DocFormEntity;
/**
 * doc模板实体对象
 *
 * @author zxfei
 * @date 2021-10-26
 */

public class DocTemplateEntity extends DocTemplateVo {
    private static final long serialVersionUID = 1L;

    /**
     * 模板名称
     */
    @Excel(name = "模板名称")
    private String name;
    /**
     * doc主键ID
     */
    @Excel(name = "doc主键ID")
    private Long docId;
    /**
     * 模板地址
     */
    @Excel(name = "模板地址")
    private String templatePath;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;


    /**
     * doc单信息
     */
    private DocFormEntity docFormEntity=new DocFormEntity();

    public DocTemplateEntity(){}
    /**
     * 获取 模板名称
     * @return String
     */
    public String getName(){
        return name;
    }
    /**
     * 设置 模板名称
     * @param name
     */
    public void setName(String name){
        this.name = name;
    }
    /**
     * 获取 doc主键ID
     * @return Long
     */
    public Long getDocId(){
        return docId;
    }
    /**
     * 设置 doc主键ID
     * @param docId
     */
    public void setDocId(Long docId){
        this.docId = docId;
    }
    /**
     * 获取 模板地址
     * @return String
     */
    public String getTemplatePath(){
        return templatePath;
    }
    /**
     * 设置 模板地址
     * @param templatePath
     */
    public void setTemplatePath(String templatePath){
        this.templatePath = templatePath;
    }
    /**
     * 获取 备注
     * @return String
     */
    public String getRemark(){
        return remark;
    }
    /**
     * 设置 备注
     * @param remark
     */
    public void setRemark(String remark){
        this.remark = remark;
    }



    public DocFormEntity getDocFormEntity(){
        return docFormEntity;
    }

    public void setDocFormEntity(DocFormEntity docFormEntity){
        this.docFormEntity = docFormEntity;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DocTemplateEntity) {
            DocTemplateEntity tmp = (DocTemplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",docId:").append(getDocId());
        sb.append(",templatePath:").append(getTemplatePath());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){
        this.name = null;
        this.docId = null;
        this.templatePath = null;
        this.remark = null;
    }
}